union {raster} | R Documentation

## Union Extent or SpatialPolygons* objects

### Description

Extent objects: Objects are combined into their union. See `crop` and `extend` to union a Raster object with an Extent object.

Two SpatialPolygons* objects. Overlapping polygons (between layers, not within layers) are intersected, other spatial objects are appended. Tabular attributes are joined.

Single SpatialPolygons* object. Overlapping polygons are intersected. Original attributes are lost. New attributes allow for determining how many, and which, polygons overlapped.

### Usage

    ## S4 method for signature 'Extent,Extent'
    union(x, y)

    ## S4 method for signature 'SpatialPolygons,SpatialPolygons'
    union(x, y)

    ## S4 method for signature 'SpatialPolygons,missing'
    union(x, y)

### Arguments

`x` | Extent or SpatialPolygons* object
`y` | Same as `x` or missing

### Value

Extent or SpatialPolygons object

### See Also

`intersect, extent, setExtent`

`merge` for merging a data.frame with attributes of Spatial objects and `+,SpatialPolygons,SpatialPolygons-method` for an algebraic notation

### Examples

    e1 <- extent(-10, 10, -20, 20)
    e2 <- extent(0, 20, -40, 5)
    union(e1, e2)

    #SpatialPolygons
    if (require(rgdal) & require(rgeos)) {
    	p <- shapefile(system.file("external/lux.shp", package="raster"))
    	p0 <- aggregate(p)
    	b <- as(extent(6, 6.4, 49.75, 50), 'SpatialPolygons')
    	projection(b) <- projection(p)
    	u <- union(p0, b)
    	plot(u, col=2:4)
    }

[Package raster version 2.5-2 Index]